Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Class PropertyValueAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.FrameAdapter
          edu.stanford.smi.protegex.owl.model.event.PropertyValueAdapter

All Implemented Interfaces:
  edu.stanford.smi.protege.event.FrameListener, PropertyValueListener, EventListener

    public class PropertyValueAdapter

extends edu.stanford.smi.protege.event.FrameAdapter
implements PropertyValueListener

Author:
  Holger Knublauch

Constructor Summary
`PropertyValueAdapter()`

Method Summary
`void` | `browserTextChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `browserTextChanged(RDFResource resource)` Called when the browser text of an RDFResource has changed.
`void` | `browserTextChanged(RDFResource resource, edu.stanford.smi.protege.event.FrameEvent event)`
`void` | `deleted(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `nameChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `nameChanged(RDFResource resource, String oldName)` Called after the name of a resource has changed.
`void` | `ownFacetAdded(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `ownFacetRemoved(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `ownFacetValueChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `ownSlotAdded(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `ownSlotRemoved(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `ownSlotValueChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `propertyValueChanged(RDFResource resource, RDFProperty property, Collection oldValues)` Called after the value of a property has changed at a given resource.
`void` | `propertyValueChanged(RDFResource resource, RDFProperty property, Collection oldValues, edu.stanford.smi.protege.event.FrameEvent event)`
`void` | `resourceReplaced(RDFResource oldResource, RDFResource newResource, String oldName)`
`void` | `visibilityChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `visibilityChanged(RDFResource resource)` Called after the visibility of a resource has changed.
`void` | `visibilityChanged(RDFResource resource, edu.stanford.smi.protege.event.FrameEvent event)`

Methods inherited from class edu.stanford.smi.protege.event.FrameAdapter
`frameReplaced`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyValueAdapter

    public PropertyValueAdapter()

Method Detail

### propertyValueChanged

    public void propertyValueChanged(RDFResource resource,
                                     RDFProperty property,
                                     Collection oldValues,
                                     edu.stanford.smi.protege.event.FrameEvent event)

### propertyValueChanged

    public void propertyValueChanged(RDFResource resource,
                                     RDFProperty property,
                                     Collection oldValues)

  Description copied from interface: `PropertyValueListener`
  Called after the value of a property has changed at a given resource.

  Specified by:
    `propertyValueChanged` in interface `PropertyValueListener`
  Parameters:
    `resource` - the resource that has changed its value
    `property` - the property that has changed at resource
    `oldValues` - a Collection of old values (may not be available for all values)

### browserTextChanged

    public void browserTextChanged(RDFResource resource,
                                   edu.stanford.smi.protege.event.FrameEvent event)

### browserTextChanged

    public void browserTextChanged(RDFResource resource)

  Description copied from interface: `PropertyValueListener`
  Called when the browser text of an RDFResource has changed. This is typically used to trigger repaints in a user interface.

  Specified by:
    `browserTextChanged` in interface `PropertyValueListener`
  Parameters:
    `resource` - the resource that has changed its browser text

### resourceReplaced

    public void resourceReplaced(RDFResource oldResource,
                                 RDFResource newResource,
                                 String oldName)

### nameChanged

    public void nameChanged(RDFResource resource,
                            String oldName)

  Description copied from interface: `PropertyValueListener`
  Called after the name of a resource has changed.

  Specified by:
    `nameChanged` in interface `PropertyValueListener`
  Parameters:
    `resource` - the resource that has changed its name
    `oldName` - the old name of the resource

### visibilityChanged

    public void visibilityChanged(RDFResource resource,
                                  edu.stanford.smi.protege.event.FrameEvent event)

### visibilityChanged

    public void visibilityChanged(RDFResource resource)

  Description copied from interface: `PropertyValueListener`
  Called after the visibility of a resource has changed.

  Specified by:
    `visibilityChanged` in interface `PropertyValueListener`
  Parameters:
    `resource` - the resource that has changed its visibility

### browserTextChanged

    public final void browserTextChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `browserTextChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `browserTextChanged` in class `edu.stanford.smi.protege.event.FrameAdapter`

### nameChanged

    public final void nameChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `nameChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `nameChanged` in class `edu.stanford.smi.protege.event.FrameAdapter`

### ownSlotValueChanged

    public final void ownSlotValueChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownSlotValueChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `ownSlotValueChanged` in class `edu.stanford.smi.protege.event.FrameAdapter`

### visibilityChanged

    public final void visibilityChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `visibilityChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `visibilityChanged` in class `edu.stanford.smi.protege.event.FrameAdapter`

### deleted

    public final void deleted(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `deleted` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `deleted` in class `edu.stanford.smi.protege.event.FrameAdapter`

### ownFacetAdded

    public final void ownFacetAdded(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownFacetAdded` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `ownFacetAdded` in class `edu.stanford.smi.protege.event.FrameAdapter`

### ownFacetRemoved

    public final void ownFacetRemoved(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownFacetRemoved` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `ownFacetRemoved` in class `edu.stanford.smi.protege.event.FrameAdapter`

### ownFacetValueChanged

    public final void ownFacetValueChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownFacetValueChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `ownFacetValueChanged` in class `edu.stanford.smi.protege.event.FrameAdapter`

### ownSlotAdded

    public final void ownSlotAdded(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownSlotAdded` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `ownSlotAdded` in class `edu.stanford.smi.protege.event.FrameAdapter`

### ownSlotRemoved

    public final void ownSlotRemoved(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownSlotRemoved` in interface `edu.stanford.smi.protege.event.FrameListener`
  Overrides:
    `ownSlotRemoved` in class `edu.stanford.smi.protege.event.FrameAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.